diff --git a/src/common/gui/CHSwitch2.cpp b/src/common/gui/CHSwitch2.cpp
index f1d9c0bee..1dd4eebd3 100644
--- a/src/common/gui/CHSwitch2.cpp
+++ b/src/common/gui/CHSwitch2.cpp
@@ -47,8 +47,12 @@ void CHSwitch2::draw(CDrawContext* dc)
 CMouseEventResult CHSwitch2::onMouseDown(CPoint& where, const CButtonState& buttons)
 {
    mouseDowns++;
+#if 0
+   // Temporarily disabling this because we sometimes return a dontneedupevents so we need to
+   // do this differently.
    if (mouseDowns > 1)
       return kMouseEventHandled;
+#endif   
 
    if (listener && buttons & (kAlt | kShift | kRButton | kControl | kApple))
    {
diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index c3143f0a6..233ba9843 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -642,6 +642,7 @@ void SurgeGUIEditor::idle()
                {
                   ((CLFOGui*)lfodisplay)->invalidateIfIdIsInRange(j);
                }
+
             }
             else if ((j >= metaparam_offset) && (j < (metaparam_offset + n_customcontrollers)))
             {
@@ -700,6 +701,18 @@ void SurgeGUIEditor::idle()
                cc->setDirty();
                cc->invalid();
             }
+            /*
+            ** A set of special things which invalidate the entire UI
+            */
+            else if( j == synth->storage.getPatch().scene_active.id )
+            {
+               if( current_scene != synth->storage.getPatch().scene_active.val.i )
+               {
+                  synth->refresh_editor = true;
+                  current_scene = synth->storage.getPatch().scene_active.val.i;
+               }
+
+            }
             else
             {
                // printf( "Bailing out of all possible refreshes on %d\n", j );
